Package: org.grails.buffer

## [Java] Class StreamCharBuffer.CharBufferChunkReader

- org.grails.buffer.StreamCharBuffer.CharBufferChunkReader

-     final class StreamCharBuffer.CharBufferChunkReader
      extends AbstractChunkReader

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `CharBufferChunk` | `parent` |
    `int` | `pointer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CharBufferChunkReader (CharBufferChunk parent, boolean removeAfterReading)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getReadLenLimit(int askedAmount)`
    `` | `public int` | `read(char[] ch, int off, int len)`

- - ### Field Detail

    - #### CharBufferChunk parent

    - #### int pointer

  - ### Constructor Detail

    - #### public CharBufferChunkReader(CharBufferChunk parent, boolean removeAfterReading)

  - ### Method Detail

    - #### @java.lang.Override public int getReadLenLimit(int askedAmount)

    - #### @java.lang.Override public int read(char[] ch, int off, int len)